Entwurf Draht

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Wire and the translation is 65% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Draft Line.svg Linie Vorherige:
Nächste: Kreis Draft Circle.svg Arrow-right.svg

Draft Wire.svg {{{Name/de}}}

Menüeintrag
Draft → Polylinie
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
W I
In der Version eingeführt
-
Siehe auch
Entwurf Linie, Entwurf BSpline


Description

Beschreibung

Das Drahtwerkzeug erstellt eine Polylinie (eine Folge von mehreren Liniensegmenten). Verwendet wird der Satz Draft Linestyle , das auf dem Draft Tray gesetzt wird. Das Drahtwerkzeug verhält sich genau wie das Entwurf Linie Werkzeug , mit dem Unterschied, dass man mehr als zwei Punkte eingeben kann.

Das Draft BSpline Werkzeug verhält sich wie das Drahtwerkzeug, nur dass jedes seiner Segmente gekrümmt ist, anstatt eine gerade Linie zu sein. Verwende Draft WireToBSpline, um eine in die andere zu konvertieren.

Draft Polyline example.jpg

Linienzug definiert durch mehrere Punkte


Usage

Anwendung

  1. Drücke die Taste Draft Wire.svg Draft Polylinie, oder drücke P und dann L Tasten.
  2. Klicke auf einen ersten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücke die Draft AddPoint.svg Punkt hinzufügen Taste.
  3. Klicke auf weitere Punkte in der 3D Ansicht, oder gib eine Koordinate und drücke die Draft AddPoint.svg Punkt hinzufügen Taste.
  4. Drücke Esc oder die Taste Close, um die Bearbeitung abzuschließen.

Der Draht kann nach doppelklicken auf das Element in der Baumansicht oder durch drücken der Taste Draft Edit.png Entwurf Bearbeiten geändert werden. Dann kannst Du die Punkte an eine neue Position verschieben oder Draft AddPoint.svg Punkt hinzufügen oder Draft DelPoint.svg Punkt entfernen und dann den Draht anklicken, um Punkte hinzuzufügen oder zu entfernen.

Einzelne Linien verschmelzen

Wenn einige verbundenen Entwurfs Linienn gewählt werden beim Drücken der Draft Wire.svg Draft Polylinie Taste, werden sie in einen Draht umgewandelt und der Befehl wird beendet. verfügbar in Version 0.17.

Hinweis: Die Endpunkte der Linien müssen sich genau berühren, sonst verschmelzen sie nicht. Wenn notwendig passe die Draft Coordinates bei Bedarf auf den Start- und Endpunkten der Linien manuell an, oder verwende Entwurfsfang mit dem Entwurfsendpunkt Modus, um die Knoten übereinstimmen zu lassen.

Options

Optionen

  • Drücke A oder die Draft FinishLine.png Beenden Taste, um den Draht fertigzustellen, offen hinterlassend.
  • Drücke O oder die Draft CloseLine.png Schliessen Schaltfläche um den Draht zu schliessen, d.h. es wird ein Segment vom letzten Punkt zum ersten hinzugefügt, um eine Fläche zu bilden. Es sind mindestens drei Punkte erforderlich, um eine Fläche zu bilden.
  • Drücke W oder die Draft Wipe.svg Wischen Taste um die bereits platzierten Liniensegmente zu entfernen, aber den Draht vom letzten Punkt aus weiter zu bearbeiten.
  • Drücke U oder die Draft SelectPlane.svg Setze WP Taste um die aktuelle Arbeitsebene in der Orientierung des letzten Punktes anzupassen.
  • Drücke X, Y oder Z nach einem Punkt, um den nächsten Punkt auf der gegebenen Achse zu beschränken.
  • Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücke dann Enter zwischen jeder X, Y und Z Komponente. Du kannst die Draft AddPoint.svg Punkt hinzufügen Schaltfläche drücken wenn Du die gewünschten Werte zum Einfügen des Punktes hast.
  • Drücke R oder klicke auf das Kontrollkästchen, um den relativen Modus umzuschalten. Wenn der Modus "relativ" eingeschaltet ist, sind die Koordinaten des nächsten Punktes relativ zum letzten; wenn nicht, sind sie absolut, ausgehend vom Ursprung (0,0,0).
  • Drücke T oder klicke das Kontrollkästchen an, um den Modus fortsetzen zu aktivieren. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Drahtwerkzeug nach Beendigung des Drahtes neu gestartet, so dass Du einen weiteren Draht zeichnen kannst, ohne den Werkzeugknopf erneut zu drücken.
  • Drücke L oder klicke auf das Kontrollkästchen, um den ausgefüllten Modus umzuschalten. Wenn der Modus "ausgefüllt" eingeschaltet ist, erzeugt ein geschlossener Draht eine ausgefüllte Fläche Daten-EigenschaftErstelle Fläche True; wenn nicht, erzeugt der geschlossene Draht keine Fläche Daten-EigenschaftErstelle Fläche False
Hinweis:; der Draht sollte nicht gefüllt werden, wenn er sich selbst schneidet, da er keine ordnungsgemäße Fläche erzeugt. Wenn der Draht gefüllt ist, aber keine Form sichtbar ist, setze manuell Daten-EigenschaftErstelle Fläche auf False, um den Draht zu sehen.
  • Halte Ctrl während des Zeichnens gedrückt, um Fangen Deinen Punkt unabhängig vom Abstand zur nächsten Fangposition zu zwingen.
  • Halte Umschalten, während Du Beschränken Deinen nächsten Punkt horizontal oder vertikal in Bezug auf den letzten zeichnest.
  • Drücke Ctrl+Z oder drücke die Draft UndoLine.png rückgängig Schaltfläche um den letzten Punkt rückgängig machen.
  • Drücke Esc oder die Template:Button/de Taste, um den aktuellen Befehl abzubrechen; bereits platzierte Liniensegmente bleiben erhalten.

Eigenschaften

Ein Drahtobjekt teilt alle Eigenschaften einer Entwurf Linie, jedoch sind die meisten Eigenschaften nur für einen Draht sinnvoll.

Daten===

  • Daten-EigenschaftStart: spezifiziert den ersten Punkt im Draht.
  • Daten-EigenschaftEnde: spezifiziert den letzten Punkt im Draht, wobei der Anfangspunkt nicht mitgezählt wird, wenn der Draht geschlossen wird.
  • Daten-EigenschaftGeschlossen: spezifiziert, ob der Draht geschlossen ist oder nicht. Wenn der Draht ursprünglich offen ist, ist dieser Wert False; ihn auf True setzen, wird ein Liniensegment zeichnen, um den Draht zu schließen. Wenn der Draht ursprünglich geschlossen ist, ist dieser Wert True; ihn auf False setzen, wird das letzte Liniensegment entfernen, und der Draht wird geöffnet.
  • Daten-EigenschaftFasengröße: gibt die Größe der Fasen (gerade Abschnitte) an, die an den Ecken des Drahtes erzeugt werden.
  • Daten-EigenschaftVerrundungsradius: gibt den Radius der Verrundungen (Bogenabschnitte) an, die an den Ecken des Drahtes erzeugt werden.
  • Daten-EigenschaftErstelle Fläche: gibt an, ob der Draht eine Fläche bildet oder nicht. Wenn es True ist, wird eine Fläche erzeugt, andernfalls werden nur die Kanten als Teil des Objekts betrachtet. Diese Eigenschaft funktioniert nur, wenn Daten-EigenschaftGeschlossen True ist.
Hinweis: setze Daten-EigenschaftErstelle Fläche nicht auf True, wenn der Draht sich selbst überkreuzt, da er keine ordnungsgemäße Fläche erzeugt.
  • Daten-EigenschaftUnterteilungen: gibt die Anzahl der innen liegenden Knoten in jedem Abschnitt des Drahtes an. verfügbar in Version 0.16
  • Daten-EigenschaftLänge: (nur-lesen) gibt die Länge des gesamten Drahtes an.

Ansicht=

  • Ansicht EigenschaftEndpfeil: wenn es True ist, wird ein Symbol am letzten Punkt des Drahtes angezeigt, so dass es als Anmerkungslinie verwendet werden kann.
  • Ansicht EigenschaftPfeilgröße: gibt die Größe des am Ende des Drahtes angezeigten Symbols an.
  • Ansicht EigenschaftPfeiltyp: gibt den Typ des am Ende des Drahtes angezeigten Symbols an, der "Punkt", "Kreis", "Pfeil" oder "Kreuz" sein kann.
  • Ansicht EigenschaftMuster: spezifiziert ein Entwurfsmuster, mit dem die Fläche des geschlossenen Drahtes ausgefüllt werden soll. Diese Eigenschaft funktioniert nur, wenn Daten-EigenschaftErstelle Fläche True ist und wenn Ansicht EigenschaftAnzeigemodus "Ebene Linien" ist.
  • Ansicht EigenschaftMustergröße: gibt die Größe des Entwurfsmuster an.

Skripten

Siehe auch: Draft API und FreeCAD Grundlagen Skripten.

Das Drahtwerkzeug kann in Makros und von der Python Konsole aus mit der folgenden Funktion verwendet werden:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Erzeugt ein Draht Objekt mit der angegebenen Liste von Punkten, Punktliste.
    • Jeder Punkt in der Liste wird durch seinen FreeCAD.Vector definiert, mit Einheiten in Millimetern.
    • Alternativ kann die Eingabe ein Part.Wire sein, aus dem die Punkte extrahiert werden.
  • Wenn closed True ist, oder wenn der erste und letzte Punkt identisch sind, wird der Draht geschlossen.
  • Wenn ein placement angegeben wird, wird dieser verwendet; andernfalls wird die Form am Ursprung erzeugt.
  • Wenn Fläche True ist und der Draht geschlossen ist, wird der Draht eine Fläche bilden, d.h. er wird gefüllt erscheinen.

Beispiel:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Draft Line.svg Linie Vorherige:
Nächste: Kreis Draft Fillet.svg Arrow-right.svg